#
# spec file for package libdnet (Version 1.12)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libdnet
BuildRequires:  python-devel
License:        BSD3c(or similar)
Group:          Development/Libraries/Other
Summary:        Library for Simple, Portable Interface to Low Level Networking Routines
Version:        1.12
Release:        2
Url:            http://code.google.com/p/libdnet/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://libdnet.googlecode.com/files/%name-%{version}.tar.bz2
Patch0:         %name.patch

%description
libdnet provides a simplified, portable interface to several low-level
networking routines, including:

* network address manipulation

* kernel arp(4) cache and route(4) table lookup and manipulation

* network firewalling (IP filter, ipfw, ipchains, pf, PktFilter,
   ...)

* network interface lookup and manipulation

* IP tunnelling (BSD/Linux tun, Universal TUN/TAP device)

* raw IP packet and Ethernet frame transmission



Authors:
--------
    Dug Song <dugsong@monkey.org>

%package -n libdnet1
License:        BSD3c(or similar)
Group:          Development/Libraries/Other
Summary:        Library for Simple, Portable Interface to Low Level Networking Routines
Provides:       %{name} = %{version}
#openSUSE 10.3
Obsoletes:      %{name} <= 1.11

%description -n libdnet1
libdnet provides a simplified, portable interface to several low-level
networking routines, including:

* network address manipulation

* kernel arp(4) cache and route(4) table lookup and manipulation

* network firewalling (IP filter, ipfw, ipchains, pf, PktFilter,
   ...)

* network interface lookup and manipulation

* IP tunnelling (BSD/Linux tun, Universal TUN/TAP device)

* raw IP packet and Ethernet frame transmission



Authors:
--------
    Dug Song <dugsong@monkey.org>

%package devel
License:        BSD3c(or similar)
Group:          Development/Libraries/Other
Summary:        Devel files for libdnet
Requires:       libdnet1 = %{version} glibc-devel

%description devel
libdnet provides a simplified, portable interface to several low-level
networking routines, including:

- network address manipulation

- kernel arp(4) cache and route(4) table lookup and manipulation

- network firewalling (IP filter, ipfw, ipchains, pf, PktFilter,
   ...)

- network interface lookup and manipulation

- IP tunnelling (BSD/Linux tun, Universal TUN/TAP device)

- raw IP packet and Ethernet frame transmission



Authors:
--------
    Dug Song <dugsong@monkey.org>

%prep
%setup -q
%patch0

%build
ACLOCAL="aclocal -I config" autoreconf -fi
%configure --disable-static --with-pic
make %{?jobs:-j %jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -f %{buildroot}%{_libdir}/libdnet.la 

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libdnet1 -p /sbin/ldconfig

%postun -n libdnet1 -p /sbin/ldconfig

%files -n libdnet1
%defattr(-,root,root)
%{_libdir}/libdnet.so.1*

%files devel
%defattr(-,root,root)
%doc LICENSE README TODO THANKS
%{_sbindir}/*
%{_bindir}/dnet-config
%{_includedir}/dnet.h
%dir %{_includedir}/dnet
%{_includedir}/dnet/*.h
%{_libdir}/libdnet.so
%{_mandir}/man?/dnet.*.gz

%changelog
